Debian Bug report logs - #190721
tetex needs better splitting

version graph

Package: tetex-bin; Maintainer for tetex-bin is (unknown);

Reported by: Josh Buhl <uzs33d@uni-bonn.de>

Date: Fri, 25 Apr 2003 10:18:02 UTC

Severity: normal

Found in version 2.0.2-3

Fixed in version tetex-base/2.0.2-7

Done: Hilmar Preusse <hille42@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Buhl <uzs33d@uni-bonn.de>:
New Bug report received and forwarded. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josh Buhl <uzs33d@uni-bonn.de>
To: submit@bugs.debian.org
Subject: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 12:10:38 +0200
Package: tetex-bin
Version: 2.0.2-3
Severity: normal

Bug # 189341 should *not* be wishlist. texdoctk is *broken* if 
tetex-extra is not installed. Isn't that a policy violation?

It totally defeats the purpose of splitting off tetex-extra to save 
space if you have to install the whole 39 MB anyway, just to get the 
conf file for texdoctk.

Why can't the files /etc/texdoctk/texdocrc and
/etc/texdoctk/texdoctk.dat be put in tetex-base?






Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Josh Buhl <uzs33d@uni-bonn.de>, 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 15:04:25 +0200
On 25.04.03 Josh Buhl (uzs33d@uni-bonn.de) wrote:

> Package: tetex-bin
> Version: 2.0.2-3
> Severity: normal
> 
> Bug # 189341 should *not* be wishlist. texdoctk is *broken* if 
> tetex-extra is not installed. Isn't that a policy violation?
> 
So, why do you open another bug about the same problem? Please close
that one here and continue discussing in #189341.

H. 
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Buhl <uzs33d@uni-bonn.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 190721@bugs.debian.org (full text, mbox):

From: Josh Buhl <uzs33d@uni-bonn.de>
To: Hilmar Preusse <hille42@web.de>
Cc: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 15:27:05 +0200
Hilmar Preusse wrote:
> So, why do you open another bug about the same problem? Please close
> that one here and continue discussing in #189341.
> 

I tried to continue discussing it there, but my objection seems to have 
fallen through the cracks.

I'm not a debian developer. Is it possible for me to close and retag 
bugs anyway?




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Josh Buhl <uzs33d@uni-bonn.de>, 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 17:00:25 +0200
On 25.04.03 Josh Buhl (uzs33d@uni-bonn.de) wrote:
> Hilmar Preusse wrote:

> >So, why do you open another bug about the same problem? Please close
> >that one here and continue discussing in #189341.
> >
> 
> I tried to continue discussing it there, but my objection seems to
> have fallen through the cracks.
> 
> I'm not a debian developer.
> 
Neither do I.

> Is it possible for me to close and retag bugs anyway?
> 
Yes you're the submitter and as such you can close that bug. You can
manipulate any bug in the DBTS. So please send an E-Mail to
190721-close@bugs.debian.org with an short explanation.

H. 
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Buhl <uzs33d@uni-bonn.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 190721@bugs.debian.org (full text, mbox):

From: Josh Buhl <uzs33d@uni-bonn.de>
To: Hilmar Preusse <hille42@web.de>
Cc: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 18:30:59 +0200
Well, I'm going to wait to see what the developers say. If I close 
190721, then 189341 will spend the rest of eternity on the wish list. If 
the developers close it, at least I'll know that they've considered my 
objection and it's out of my hands, having done what I can.

I still think putting a bug which breaks a package on the wish list is a 
little far fetched.

-j

Hilmar Preusse wrote:
> Yes you're the submitter and as such you can close that bug. You can
> manipulate any bug in the DBTS. So please send an E-Mail to
> 190721-close@bugs.debian.org with an short explanation.
> 
> H. 




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 190721@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: uzs33d@uni-bonn.de, 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Mon, 28 Apr 2003 20:28:24 +0900 (JST)
From: Josh Buhl <uzs33d@uni-bonn.de>
Subject: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 25 Apr 2003 18:30:59 +0200

> Well, I'm going to wait to see what the developers say. If I close 
> 190721, then 189341 will spend the rest of eternity on the wish list. If 
> the developers close it, at least I'll know that they've considered my 
> objection and it's out of my hands, having done what I can.

Hmm, I should say something, then?

> I still think putting a bug which breaks a package on the wish list is a 
> little far fetched.

As I said before, the similar problems remain unless
we merge tetex-base and tetex-extra into only one big
tetex-base;

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Subject: Bug#189341: tetex-bin: texdoctk not packaged correctly
Date: Fri, 18 Apr 2003 08:48:45 +0900 (JST)

> As long as we separated texmf tree into tetex-base and
> tetex-extra, this is inevitable.  Theoretically, we should
> provide tetex-base only which included both the current 
> tetex-base and tetex-extra but there is a strong desire
> of users not to provide a large tetex-base.

Not only texdoctk, but amstex, metapost, eurosym, txfonts,
pxfonts etc. depend on tetex-extra at present.

If we move these stuffs to tetex-base, then at last every
stuffs in tetex-extra would be in tetex-base.

So the essential problem is how to split texmf tree, and 
there is no absolute solution which will satisfys all users,
IMHO.

Have you any good design?

Thanks,				2003-4-28(Mon)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Tokushima Univ.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Tue, 29 Apr 2003 00:08:32 +0200
On 28.04.03 Atsuhito Kohda (kohda@pm.tokushima-u.ac.jp) wrote:
> From: Josh Buhl <uzs33d@uni-bonn.de>
> Subject: Bug#190721: splitting of texdoctk is hosed
> Date: Fri, 25 Apr 2003 18:30:59 +0200

Hi,

> > I still think putting a bug which breaks a package on the wish
> > list is a little far fetched.
> 
> As I said before, the similar problems remain unless
> we merge tetex-base and tetex-extra into only one big
> tetex-base;
> 
Don't think so. I think there are some basic things which works if
you only have tetex-base installed, but work better, if tetex-extra
is installed. But don't ask me which one... 

> From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
> Subject: Bug#189341: tetex-bin: texdoctk not packaged correctly
> Date: Fri, 18 Apr 2003 08:48:45 +0900 (JST)
> 
> > As long as we separated texmf tree into tetex-base and
> > tetex-extra, this is inevitable.  Theoretically, we should
> > provide tetex-base only which included both the current 
> > tetex-base and tetex-extra but there is a strong desire
> > of users not to provide a large tetex-base.
> 
> Not only texdoctk, but amstex, metapost, eurosym, txfonts,
> pxfonts etc. depend on tetex-extra at present.
> 
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  texdoctk       0.5.1-4        GUI for easier access of TeX package and pro
ii  tetex-eurosym  1.0-3          Euro symbol for LaTeX

Debian woody. Perhaps we should again split off texdoctk (and the
config-files) to an extra-package. Then we should put it as Recommend
or Suggest. Don't know about (t|p)xfonts.

> If we move these stuffs to tetex-base, then at last every
> stuffs in tetex-extra would be in tetex-base.
> 
> So the essential problem is how to split texmf tree, and 
> there is no absolute solution which will satisfys all users,
> IMHO.
> Have you any good design?
> 
Nothing in the moment, except to split off everthing, which is not
needed for everybody (to extra packages) and then merge the rest to
tetex-base. Yes, I know is is a hard job to figure out, which stuff
depends on which and to write then correct Recommends- and
Suggests-fields.

H. 
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Buhl <uzs33d@uni-bonn.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 190721@bugs.debian.org (full text, mbox):

From: Josh Buhl <uzs33d@uni-bonn.de>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 190721@bugs.debian.org
Cc: Hilmar Preusse <hille42@web.de>
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Tue, 29 Apr 2003 11:10:38 +0200
Atsuhito Kohda wrote:
> As I said before, the similar problems remain unless
> we merge tetex-base and tetex-extra into only one big
> tetex-base;

> Not only texdoctk, but amstex, metapost, eurosym, txfonts,
> pxfonts etc. depend on tetex-extra at present.

okay, I understand your point a little better now.

> So the essential problem is how to split texmf tree, and 
> there is no absolute solution which will satisfys all users,
> IMHO.
> 
> Have you any good design?

Well, here's what I think:

Extracting tetex-extra produces about 32800 1024 Kb blocks of data which 
is split up roughly like this:

20758 blocks in /usr/share/texmf/fonts
7456  blocks in /usr/share/texmf/tex/latex
1518  blocks in /usr/share/texmf/omega
60    blocks in /etc (including the conf files for texdoctk)

Certainly stuffing a few conffiles from /etc into tetex-extra doesn't 
effect anything, so my first suggestion would be to put all the /etc 
stuff (as far as they are not exclusive to tetex-extra) back into 
tetex-base. This also makes a cleaner break, since then tetex-extra 
would only have things from /usr/share/texmf in it.

I think the most aesthetically pleasing, most logical, and cleanest 
option would be to make a package tetex-extra-fonts and put the 21 Mb of 
font stuff into it and put the rest back into tetex-base.

This would also be much easier for users to understand when something 
doesn't work: if they compile a document, and fonts are missing, and 
they see that there's a package called "tetex-extra-fonts" then it's 
easy to guess where the missing fonts are. Where as if you start 
texdoctk and it complains about some missing conf file, you think it's a 
bug, because that's not the way debian works.

Okay, this would bump tetex-base up from 52 to about 61 Mb, but I think 
it's a very reasonable, clean, and *logical* compromise. You might even 
be able to put some more font stuff from tetex-base into 
tetex-extra-fonts, if you have a logical break like this.


-j








Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 190721@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: uzs33d@uni-bonn.de, 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 02 May 2003 10:19:41 +0900 (JST)
From: Josh Buhl <uzs33d@uni-bonn.de>
Subject: Bug#190721: splitting of texdoctk is hosed
Date: Tue, 29 Apr 2003 11:10:38 +0200

> > Have you any good design?
> 
> Well, here's what I think:
> 
> Extracting tetex-extra produces about 32800 1024 Kb blocks of data which 
> is split up roughly like this:
> 
> 20758 blocks in /usr/share/texmf/fonts
> 7456  blocks in /usr/share/texmf/tex/latex
> 1518  blocks in /usr/share/texmf/omega
> 60    blocks in /etc (including the conf files for texdoctk)

Ah, this helps me much to grasp the contents
of tetex-extra.

> Certainly stuffing a few conffiles from /etc into tetex-extra doesn't 
> effect anything, so my first suggestion would be to put all the /etc 
> stuff (as far as they are not exclusive to tetex-extra) back into 
> tetex-base. This also makes a cleaner break, since then tetex-extra 
> would only have things from /usr/share/texmf in it.

kohda@nsx:~$ dpkg -L tetex-extra | grep /etc
/etc
/etc/texmf
/etc/texmf/lambda
/etc/texmf/lambda/language.dat
/etc/texmf/dvips
/etc/texmf/dvips/config.ams
/etc/texmf/dvips/config.cm
/etc/texmf/dvips/psfonts.ams
/etc/texmf/dvips/psfonts.cm
/etc/texmf/dvips/config.amz
/etc/texmf/dvips/config.cmz
/etc/texmf/dvips/psfonts.amz
/etc/texmf/dvips/psfonts.cmz
/etc/texmf/dvips/bsr-interpolated.map
/etc/texmf/dvips/bsr.map
/etc/texmf/dvips/xypic.map
/etc/texdoctk
/etc/texdoctk/texdoctk.dat
/etc/texdoctk/texdocrc

Well, (almost all) these files are only for tetex-extra 
stuffs.  For example psfonts.amz is for BlueSky Type1
AMS fonts in tetex-extra (I'm not sure of terminology, though).

It might be possible (or rather better?) to put texdoctk 
files in tetex-base, but then tetex-base should depends on
perl-tk and note we had another bugs(#170382, #173872) which 
said "upgrade forces users to install 7Mb extra libs"

We moved texdocktk files in tetex-extra to fix these
problem to some extent, at present.

> I think the most aesthetically pleasing, most logical, and cleanest 
> option would be to make a package tetex-extra-fonts and put the 21 Mb of 
> font stuff into it and put the rest back into tetex-base.

Hmm, as far as I investigated quickly, many stuffs in 
/usr/share/texmf/fonts and /usr/share/texmf/tex are
related with each other.

*.fd (and *.sty) files in /usr/share/texmf/tex/ are necessary
to use fonts in /usr/share/texmf/fonts/ so the issue is not so
simple as you might think.

But I have an impression that we could make the situation
a bit refined if we reconsider the issue.

Thanks,			       2003-5-2(Fri)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Tokushima Univ.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 190721@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 02 May 2003 10:36:24 +0900 (JST)
From: Hilmar Preusse <hille42@web.de>
Subject: Bug#190721: splitting of texdoctk is hosed
Date: Tue, 29 Apr 2003 00:08:32 +0200

> > As I said before, the similar problems remain unless
> > we merge tetex-base and tetex-extra into only one big
> > tetex-base;
> > 
> Don't think so. I think there are some basic things which works if
> you only have tetex-base installed, but work better, if tetex-extra
> is installed. But don't ask me which one... 

Well, I might explain too simply (or too exaggerated ;)

> Debian woody. Perhaps we should again split off texdoctk (and the
> config-files) to an extra-package. Then we should put it as Recommend
> or Suggest. Don't know about (t|p)xfonts.

Please note that texdoctk itself is in tetex-bin and
supporting files are in tetex-extra, and tetex-bin and
tetex-extra are built from different teTeX sources
(tetex-bin from tetex-src-*.tar.gz and tetex-extra from
tetex-texmf-*.tar.gz) so if we split off texdoctk
then we need texdoctk-bin and texdoctk-conffiles(?)

I suspect this is not so good idea...

> > Have you any good design?
> > 
> Nothing in the moment, except to split off everthing, which is not
> needed for everybody (to extra packages) and then merge the rest to
> tetex-base. Yes, I know is is a hard job to figure out, which stuff
> depends on which and to write then correct Recommends- and
> Suggests-fields.

Agreed basically.  However as far as I checked with

dpkg -L tetex-extra | grep /usr/share/texmf/tex
dpkg -L tetex-extra | grep /usr/share/texmf/fonts
dpkg -L tetex-extra | grep /etc

the current situation is fairy good one, IMHO.

So I doubt that splitting is really necessary and
I suspect only minor changes might be enough.

Anyway we are glad to hear any real idea or advice.

Thanks,			   2003-5-2(Fri)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Tokushima Univ.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Buhl <uzs33d@uni-bonn.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 190721@bugs.debian.org (full text, mbox):

From: Josh Buhl <uzs33d@uni-bonn.de>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 02 May 2003 12:24:57 +0200
Atsuhito Kohda wrote:
>>Extracting tetex-extra produces about 32800 1024 Kb blocks of data which 
>>is split up roughly like this:
>>
>>20758 blocks in /usr/share/texmf/fonts
>>7456  blocks in /usr/share/texmf/tex/latex
>>1518  blocks in /usr/share/texmf/omega
>>60    blocks in /etc (including the conf files for texdoctk)
> 
> 
> Ah, this helps me much to grasp the contents
> of tetex-extra.

I guess you're being sarcastic here. I wasn't trying to tell you 
anything I thought you didn't know. This was just a precursor to what I 
wanted to say afterwards. I was under the impression that the main 
reason there is a tetex-extra package at all, was to make tetex-base 
smaller, so looking at what's taking up space isn't a bad idea, from my 
perspective. :-)


> It might be possible (or rather better?) to put texdoctk 
> files in tetex-base, but then tetex-base should depends on
> perl-tk and note we had another bugs(#170382, #173872) which 
> said "upgrade forces users to install 7Mb extra libs"

> 
> We moved texdocktk files in tetex-extra to fix these
> problem to some extent, at present.
> 

The only reason to have tetex-base depend on perl-tk, is so that 
texdoctk isn't broken, but it's broken anyway without the conffiles in 
tetex-extra.

If there are so many users cry-babying about 7Mb, then stuff all the 
texdoctx stuff into tetex-extra and leave the dependency there. texdoctk 
*needs* to be in the same package as its conffiles are. I don't think 
it's good style to split up files from their configuration files. Like I 
said, that's just not the way debian works.

I hope you realize that I'm only making these comments to help, not to 
criticize, since I'm not at all worried about a few megabytes (still 
have over 1Gb free on a 3.5 Gb /usr) and everything works for me because 
I have tetex-extra installed. I believe Debian has the best, most 
aethetically pleasing design of any Linux Distribution, and I want to 
help keep it that way.

> 
>>I think the most aesthetically pleasing, most logical, and cleanest 
>>option would be to make a package tetex-extra-fonts and put the 21 Mb of 
>>font stuff into it and put the rest back into tetex-base.
> 
> 
> Hmm, as far as I investigated quickly, many stuffs in 
> /usr/share/texmf/fonts and /usr/share/texmf/tex are
> related with each other.
> 
> *.fd (and *.sty) files in /usr/share/texmf/tex/ are necessary
> to use fonts in /usr/share/texmf/fonts/ so the issue is not so
> simple as you might think.

I'm sure it's not. I do think though, that the suggestion to make a 
tetex-extra-fonts and to concentrate on separating out just font stuff 
makes a clean break that users would be able to understand and I think 
that it would achieve the goal of reducing the size of tetex-base in a 
logical manner.

> But I have an impression that we could make the situation
> a bit refined if we reconsider the issue.
> 
> Thanks,			       2003-5-2(Fri)
> 

That would be great.

-j





Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 190721@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: uzs33d@uni-bonn.de
Cc: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Tue, 06 May 2003 10:08:37 +0900 (JST)
From: Josh Buhl <uzs33d@uni-bonn.de>
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 02 May 2003 12:24:57 +0200

> Atsuhito Kohda wrote:
> >>Extracting tetex-extra produces about 32800 1024 Kb blocks of data which 
> >>is split up roughly like this:
> >>
> >>20758 blocks in /usr/share/texmf/fonts
> >>7456  blocks in /usr/share/texmf/tex/latex
> >>1518  blocks in /usr/share/texmf/omega
> >>60    blocks in /etc (including the conf files for texdoctk)
> > 
> > Ah, this helps me much to grasp the contents
> > of tetex-extra.
> 
> I guess you're being sarcastic here. I wasn't trying to tell you 
> anything I thought you didn't know. This was just a precursor to what I 
> wanted to say afterwards. I was under the impression that the main 
> reason there is a tetex-extra package at all, was to make tetex-base 
> smaller, so looking at what's taking up space isn't a bad idea, from my 
> perspective. :-)

Ah, no, I'm not sarcastic.  I believe you can easily
find I'm not a native English speaker frome my poor
English ;)

What helped me was not the size of each components
but an idea of splitting /usr/share/texmf/tex /usr/share/texmf/fonts
and /etc/texmf

I could understand the rough design of tetex-extra with
"dpkg -L | grep /usr/share/texmf/tex" etc.

> The only reason to have tetex-base depend on perl-tk, is so that 
> texdoctk isn't broken, but it's broken anyway without the conffiles in 
> tetex-extra.
> 
> If there are so many users cry-babying about 7Mb, then stuff all the 
> texdoctx stuff into tetex-extra and leave the dependency there. texdoctk 
> *needs* to be in the same package as its conffiles are. I don't think 
> it's good style to split up files from their configuration files. Like I 
> said, that's just not the way debian works.

It was my mistake not to CC'ed to you but as I wrote in 
another email (please see BTS #190721), texdoctk script 
and the configuration files are came from different sources;

> Please note that texdoctk itself is in tetex-bin and
> supporting files are in tetex-extra, and tetex-bin and
> tetex-extra are built from different teTeX sources
> (tetex-bin from tetex-src-*.tar.gz and tetex-extra from
> tetex-texmf-*.tar.gz) so if we split off texdoctk
> then we need texdoctk-bin and texdoctk-conffiles(?)

> I hope you realize that I'm only making these comments to help, not to 
> criticize, since I'm not at all worried about a few megabytes (still 
> have over 1Gb free on a 3.5 Gb /usr) and everything works for me because 
> I have tetex-extra installed. I believe Debian has the best, most 
> aethetically pleasing design of any Linux Distribution, and I want to 
> help keep it that way.

I guess I realize your point but I can't find resonable
solution yet.

Thanks,				2003.5.6(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>, tetex-bin@packages.qa.debian.org. Full text and rfc822 format available.

Message #65 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Sat, 10 May 2003 10:21:43 +0200
On 02.05.03 Atsuhito Kohda (kohda@pm.tokushima-u.ac.jp) wrote:
> From: Hilmar Preusse <hille42@web.de>
> Subject: Bug#190721: splitting of texdoctk is hosed
> Date: Tue, 29 Apr 2003 00:08:32 +0200

Hi,

> > Debian woody. Perhaps we should again split off texdoctk (and the
> > config-files) to an extra-package. Then we should put it as
> > Recommend or Suggest. Don't know about (t|p)xfonts.
> 
> Please note that texdoctk itself is in tetex-bin and supporting
> files are in tetex-extra, and tetex-bin and tetex-extra are built
> from different teTeX sources (tetex-bin from tetex-src-*.tar.gz and
> tetex-extra from tetex-texmf-*.tar.gz)
> 
Sorry, didn't notice that. I don't have tetex-2.0 installed so seeing
these things are a little bit more hard to do.

> so if we split off texdoctk then we need texdoctk-bin and
> texdoctk-conffiles(?)
> 
Well, why not? And then modify texdoctk, that it checks for its
configfiles and spits out an error-message, if that package is
missing. Well, the latter thing we can do already now and point to
tetex-extra. Perhaps it would be enough to split off the config-files
for texdoctk from tetex-extra to an extra package and then patch
texdoctk. Should texdoctk-conffiles have an Depend on tetex-doc then?
  I see that bug anywhere between grave (a program doesn't work at
all after installing it) and wishlist (it works after installing
another package).

H. 
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Thu, 12 Jun 2003 22:55:53 +0200
On 02.05.03 Atsuhito Kohda (kohda@pm.tokushima-u.ac.jp) wrote:

Hi,

> Please note that texdoctk itself is in tetex-bin and supporting
> files are in tetex-extra, and tetex-bin and tetex-extra are built
> from different teTeX sources (tetex-bin from tetex-src-*.tar.gz and
> tetex-extra from tetex-texmf-*.tar.gz) so if we split off texdoctk
> then we need texdoctk-bin and texdoctk-conffiles(?)
> 
> I suspect this is not so good idea...
> 
Again, what to do with that bug? That idea sounds good, especially if
I look at #170382 and #173872. My proposal is to exactly that.
BTW: How did you got texdoctk in woody out of one source?

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 190721@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 13 Jun 2003 10:19:39 +0900 (JST)
From: Hilmar Preusse <hille42@web.de>
Subject: Bug#190721: splitting of texdoctk is hosed
Date: Thu, 12 Jun 2003 22:55:53 +0200

> BTW: How did you got texdoctk in woody out of one source?

Well, older teTeX didn't include texdoctk so
a maintainer could buid the package from texdoctk
source in CTAN.  But now texdoctk was included in teTeX
and rearranged for teTeX structure.

> > I suspect this is not so good idea...
> > 
> Again, what to do with that bug? That idea sounds good, especially if
> I look at #170382 and #173872. My proposal is to exactly that.

Perhaps it is the easiest way to remove texdoctk stuffs
from tetex-* packages and some member buids texdoctk
independently from texdoctk source.  The problem is, it 
needs some maintainer.

# It was maintained with Claire, one of tetex maintainers.

Thanks,			 2003-6-13(Fri)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Tokushima Univ.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Thu, 19 Jun 2003 16:56:06 +0200
[Message part 1 (text/plain, inline)]
On 13.06.03 Atsuhito Kohda (kohda@pm.tokushima-u.ac.jp) wrote:
> 
> From: Hilmar Preusse <hille42@web.de>
> Subject: Bug#190721: splitting of texdoctk is hosed
> Date: Thu, 12 Jun 2003 22:55:53 +0200
> 
> > > I suspect this is not so good idea...
> > > 
> > Again, what to do with that bug? That idea sounds good, especially if
> > I look at #170382 and #173872. My proposal is to exactly that.
> 
> Perhaps it is the easiest way to remove texdoctk stuffs from
> tetex-* packages and some member buids texdoctk independently from
> texdoctk source.  The problem is, it needs some maintainer.
> 
Why not build the texdoctk-package out of the tetex-bin/base sources
and tetex-maint as maintainer? Patch included.

Some other things: The manpages of epstopdf and of dvi2fax are now
   delivered with tetex. Can be removed from tetex-bin/debian/
   Same for makeinfo.1. It is never installed.

Just my 0,002 Cent,
  Hilmar 
-- 
sigmentation fault
[tetex-base.diff (text/plain, attachment)]
[tetex-bin.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Thu, 19 Jun 2003 23:23:50 +0200
[Message part 1 (text/plain, inline)]
On 19.06.03 Hilmar Preusse (hille42@web.de) wrote:

Hi,

> Why not build the texdoctk-package out of the tetex-bin/base sources
> and tetex-maint as maintainer? Patch included.
> 
Just another one, to be applied over the last one.

H. 
-- 
sigmentation fault
[tetex-bin1.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 190721@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 190721@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Fri, 4 Jul 2003 10:54:08 +0200
On 19.06.03 Hilmar Preusse (hille42@web.de) wrote:

Hi,

> Why not build the texdoctk-package out of the tetex-bin/base
> sources and tetex-maint as maintainer? Patch included.
> 
Well, problem here is, that dpkg would tell one that texdoctk has
the version 2.0.2, which is definitely not true...
Perhaps Atsuhitos idea is still the best one: exclude texdoctk from
tetex-bin and build an own package for it.

Just my 0,002 Cent,
  Hilmar 
-- 
sigmentation fault



Bug reopened, originator not changed. Request was from josh buhl <uzs33d@uni-bonn.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from frank@kuesterei.ch (Frank Küster) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#190721; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 190721@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 190721@bugs.debian.org
Subject: Re: Processed: again in the train
Date: Wed, 05 May 2004 12:20:52 +0200
Hilmar Preusse <hille42@web.de> schrieb:

> On 04.05.04 Debian Bug Tracking System (owner@bugs.debian.org) wrote:
>> Processing commands for control@bugs.debian.org:
>> 
>> > retitle 190721 tetex needs better splitting
>> Bug#190721: splitting of texdoctk is hosed
>> Changed Bug title.
>> 
> changelog:
>
>   * Moved files for texdoctk from tetex-extra to tetex-base, let
>     tetex-base declare "Replaces: texdoctk". tetex-bin now depends on
>     these files to provide texdoctk's functionality (see: #200264) [frank]
>
> doesn't that close 190721?

In principle, yes. However, this was opened as a dupe of #189341, and
contains a discussion about general splitting problems. This is why I
kept it open and retitled it.

Well, but looking at it again - after the general discussion it comes
back to the texdoctk issue, and that is for sure resolved. So in this
light we should probably close it. There are enough wishlist bugs open
with respect to splitting so that we won't forget it.

Regards, Frank

-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Reply sent to Hilmar Preusse <hille42@web.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Buhl <uzs33d@uni-bonn.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #104 received at 190721-done@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Josh Buhl <uzs33d@uni-bonn.de>, 190721-done@bugs.debian.org
Subject: Re: Bug#190721: splitting of texdoctk is hosed
Date: Wed, 5 May 2004 18:39:55 +0200
On 25.04.03 Josh Buhl (uzs33d@uni-bonn.de) wrote:

Hi Josh,

This bug is now a year old (Happy birthday!), time to close it.

> Bug # 189341 should *not* be wishlist. texdoctk is *broken* if
> tetex-extra is not installed. Isn't that a policy violation?
> 
between -6 and -7 we moved these files you're talking about to
tetex-base. So texdoctk should work without having tetex-extra
installed.

tetex-base (2.0.2-7) unstable; urgency=medium

 * Moved files for texdoctk from tetex-extra to tetex-base, let
   tetex-base declare "Replaces: texdoctk". tetex-bin now depends on
   these files to provide texdoctk's functionality (see: #200264) [frank]

-- Frank Küster <frank@debian.org>  Fri, 16 Apr 2004 14:59:37 +0200

> It totally defeats the purpose of splitting off tetex-extra to save
> space if you have to install the whole 39 MB anyway, just to get
> the conf file for texdoctk.
> 
> Why can't the files /etc/texdoctk/texdocrc and
> /etc/texdoctk/texdoctk.dat be put in tetex-base?
> 
We did.
Further in this bug we discussed about further splitting of these
packages. This will be a post-sarge issue. There already 2 other
wishlist-bugs open about that (#223728 and #223734).
So I think we can close that one here.

Regards,
  Hilmar 
-- 
sigmentation fault



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:49:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.